@import '../../../style/variables';

:host {
  display: flex;
  flex-direction: column;
  text-align: center;
  height: 100%;

  form.teams {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    justify-items: center;
    gap: .5rem 0;
  }

  form.team {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    border-right: solid rgba(0, 0, 0, 0.12) 1px;

    &:last-of-type {
      border-right: none;
    }
  }

  form.right {
    ::ng-deep {
      .mat-form-field-infix {
        input, label {
          text-align: right;
        }
      }
    }
  }

  .time {
    color: $fmi-plateau-primary-color-text;
    font-size: .75rem;
  }

  .winner {
    font-weight: bold;
  }

  .mat-expansion-panel-header {
    ::ng-deep {
      .mat-content {
        display: grid;
        grid-template-columns: 2.5rem 1fr 1rem 2rem 3rem 2rem 1rem 1fr 2.5rem;
        grid-template-areas: 'logo-1 team-1 forfeit-1 score-1 separator score-2 forfeit-2 team-2 logo-2';
        align-items: center;
        justify-items: center;
        gap: 1rem;

        .logo {
          $size: 2rem;
          max-width: $size;
          max-height: $size;

          &-1 {
            grid-area: logo-1;
          }
          &-2 {
            grid-area: logo-2;
          }
        }

        .team {
          &-1 {
            grid-area: team-1;
            justify-self: left;
            text-align: left;
          }
          &-2 {
            grid-area: team-2;
            justify-self: right;
            text-align: right;
          }
        }

        .score {
          &-1 {
            grid-area: score-1;
          }
          &-2 {
            grid-area: score-2;
          }
        }

        .forfeit {
          &-1 {
            grid-area: forfeit-1;
            text-align: right;
          }
          &-2 {
            grid-area: forfeit-2;
            text-align: left;
          }
        }

        .separator {
          grid-area: separator;
          display: flex;
          flex-direction: column;
          align-items: center;
        }
      }
    }
  }

  .mat-checkbox {
    &[name=stopped] {
      justify-self: left;
    }
    &[name=notPlayed] {
      justify-self: right;
    }
  }

  ::ng-deep {
    .mat-form-field-infix {
      width: 8rem;
    }
  }
}
